---
title: Get protection status.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[DDoS Protection](https://developers.cloudflare.com/api/typescript/resources/ddos_protection)

[Advanced TCP Protection](https://developers.cloudflare.com/api/typescript/resources/ddos_protection/subresources/advanced_tcp_protection)

[Status](https://developers.cloudflare.com/api/typescript/resources/ddos_protection/subresources/advanced_tcp_protection/subresources/status)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get protection status.

client.DDoSProtection.advancedTCPProtection.status.get(StatusGetParams {account\_id } params, RequestOptionsoptions?): [StatusGetResponse](<https://developers.cloudflare.com/api/typescript/resources/ddos_protection#(resource)%20ddos_protection.advanced_tcp_protection.status%20%3E%20(model)%20status_get_response%20%3E%20(schema)>) {enabled }

GET/accounts/{account\_id}/magic/advanced\_tcp\_protection/configs/tcp\_protection\_status

Get the protection status of the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DDoS Protection Write``DDoS Protection Read`

##### ParametersExpand Collapse

<details>

<summary>

params: StatusGetParams {account\_id }

</summary>

account\_id: string

Identifier.

maxLength32

<a href="#(resource)%20ddos_protection.advanced_tcp_protection.status%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ddos_protection.advanced_tcp_protection.status%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

StatusGetResponse {enabled }

</summary>

enabled: boolean

<a href="#(resource)%20ddos_protection.advanced_tcp_protection.status%20%3E%20(model)%20status_get_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ddos_protection.advanced_tcp_protection.status%20%3E%20(model)%20status_get_response%20%3E%20(schema)>)

### Get protection status.

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const status = await client.DDoSProtection.advancedTCPProtection.status.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(status.enabled);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true
  }
}
```